#!/bin/sh

rm -fr *.pdf *.eps *-systems.tex *-systems.texi *-systems.count *.png *~

# build figure EPS
lilypond --ps -dgs-load-fonts font-test.ly

rm -fr *-1.eps *-systems.tex *-systems.texi *-systems.count

# build figure PDF

## Normal PDF (embed subset fonts)
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -dEPSCrop -sOutputFile=font-embed-subset.pdf font-test.eps

## Full PDF (embed full set fonts)
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -dEPSCrop -dSubsetFonts=false -sOutputFile=font-embed-fullset.pdf font-test.eps

## No font PDF (embed no fonts)
### For some fonts, `-dEmbedAllFonts=false` is not effective.
### `/NeverEmbed` (in embed-control.ps) is effective.
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -dEPSCrop -dEmbedAllFonts=false -sOutputFile=font-no-embed.pdf embed-control.ps font-test.eps

# build main PDF
xelatex test-embed-subset.tex
xelatex test-embed-fullset.tex
xelatex test-no-embed.tex

rm *.aux *.log

# build final PDF

## Normal PDF 
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=final-embed-subset.pdf test-embed-subset.pdf

## Full PDF
gs -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=final-embed-fullset.pdf test-embed-fullset.pdf

## No font PDF
gs -Ifonts -dBATCH -dNOPAUSE -sDEVICE=pdfwrite -sOutputFile=final-no-embed.pdf test-no-embed.pdf

# build PNG

gs -dBATCH -dNOPAUSE -sDEVICE=pnggray -r600 -sOutputFile=final-embed-subset.png final-embed-subset.pdf
gs -dBATCH -dNOPAUSE -sDEVICE=pnggray -r600 -sOutputFile=final-embed-fullset.png final-embed-fullset.pdf
gs -dBATCH -dNOPAUSE -sDEVICE=pnggray -r600 -sOutputFile=final-no-embed.png final-no-embed.pdf
